Bug#658084: libav-extra: Really necessary?

Fabian Greffrath fabian at greffrath.com
Tue Jan 31 16:13:06 UTC 2012

Am 31.01.2012 16:30, schrieb Reinhard Tartler:
> I still fail to see what the problem is. I understand that you don't
> like the approach, but maybe you can elaborate on the 'insencere' or
> 'not straight' part.

Yes, I'll try. AFAIUI there are packages out there that use libav 
libraries but for which licenses apply that are incompatible with 
GPL-v3. In order to not violate these licenses when building or 
run-time linking against libav libraries, we have disabled the 
offending codecs that cause the license change.

On the other hand we have a libav-extra package with libraries for 
which GPL-v3 applies and which thus violate the license terms of said 
software if it is linked against it. So the whole purpose of the 
libav-extra package seems to be to tolerate license clashes at runtime 
while playing fair at build time with the regular libav package.

I hope I made myself clearer, hm.

  - Fabian

More information about the pkg-multimedia-maintainers mailing list